*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    scrollbar-color:  #2057c6 #ffffffbb;
    
}
body{
    background-color: #ffffffbb;
    max-width: 100svw;
    height: 100svh;
    display: flex;
    font-family:renewal;
}
.wrap{
    display: flex;
    flex-wrap: wrap;
}
/*------------------------------Dislexicos----------------------------*/
:root { 
    --main-font: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif; 
}
body { 
      font-family: var(--main-font); transition: font 0.2s ease; 
}

@font-face {
    font-family: 'dis';
    src: url('./fonts/opendyslexic-0.91.12/compiled/OpenDyslexic-Regular.woff') format('woff'),
         url('./fonts/opendyslexic-0.91.12/compiled/OpenDyslexic-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

.alt-font { --main-font: dis, serif; }

    .switch { display:inline-flex; align-items:center; gap:.5rem; cursor:pointer; user-select:none; }
    .switch input { appearance:none; width:40px; height:22px; background:#ccc; border-radius:999px; position:relative; outline:none; transition:background .2s; }
    .switch input::after { content:""; position:absolute; left:3px; top:3px; width:16px; height:16px; background:#fff; border-radius:50%; transition:transform .2s; box-shadow:0 1px 2px rgba(0,0,0,.2); }
    .switch input:checked { background:#2c89e5; }
    .switch input:checked::after { transform:translateX(11px); }
    .label-text { font-size:.9rem; color:#333; user-select:none; }
/*------------------------------CloudFlare----------------------------*/
.cf-turnstile{
    height:100px;
    width:100%;
    display:flex;
    justify-content:center;
    align-items:center;
}
/*------------------------------Carga---------------------------------*/
#loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: #000000d9;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    color: white;
  }
  
  .spinner {
    width: 60px;
    height: 60px;
    border: 6px solid #ccc;
    border-top-color: #3498db;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-bottom: 15px;
  }
  
  @keyframes spin {
    to { transform: rotate(360deg); }
  }
  
/*------------------------------Carrusel---------------------------------*/
#carousel {
    background-image: url(imgs/1.jpg);
    width: 100%;
    height: 100%;
    margin: auto;
    background-size: cover;
    background-position: center center; 
    background-repeat: no-repeat;
}
/*------------------------------Navegador--------------------------------*/
nav{
    width: 100%;
    height: 100px;
    background: linear-gradient(90deg, rgba(4,33, 89,1) 0%, rgba(4,33, 89,0.9542191876750701) 34%, rgba(0,212,255,0) 100%);
    padding: 17px 25px;
    display: flex;
    color: white;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    z-index: 1;
    border-bottom: 5px solid white;
}

nav a{
    display: flex;
    align-items: center;
    height: 100%;
    color: white;
    text-decoration: none;
}
a img{
    height: 100%;
}

nav span{
    scale: 1.3;
    border-radius: 50%;
    padding: 2px;
    background-color: rgba(4,33, 89,1);
    border: 1px solid white
}

/*----------------------------Contenido-------------------------------*/

#main{
    background-color: white;
    width: 430px;
    height:100%;
    margin: 0 40px;
    padding-top: 100px;
    display: flex;
    flex-wrap: wrap;
    align-items: start;
}

#mains{
    padding: 20px 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#main h3{
    width: 100%;
    text-align: center;
}

#main hr{
    width: 90%;
    margin: 10px auto;
    border: 1px solid #2057c6;
}

.button{
    text-decoration: none;
    text-align: center;
    background-color: #2057c6;
    color: white;
    border: none;
    height: 40px;
    width: 300px;
    margin: 10px 20px;
    padding: 10px 20px;
    font-size: 16px;
    font-weight: 600;
    border-radius: 5px;
}
.button:hover{
    background-color: #071e41;
    scale: .95;
    transition: all 0.3s ease-in-out;
}

/*--------------------------Responsive-------------------------------*/

@media screen and (max-width: 768px) {
    #carousel {
        width: 0;
        height: 100svh;
        background-color: white;
    }
    nav{
        height: 80px;
    }
    nav img{
        height: 80%;
    }
    nav span{
        scale: 1.2;
    }
    #main{
        margin: 0;
        width: 100%;
        padding-top: 100px;
        padding-bottom: auto;
        justify-content: center;
        height: 100%;
    }
    
}


/*------------------------------------------Reportes--------------------------------*/

#repo{
    width: 430px;
    min-height: 100svh;
    height: 100%;
    padding: 0 40px;
    padding-top: 100px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: start;
    border-right:7px solid #2057c6;
}

#report{
    padding: 20px 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: start;
}
#report h2{
    width: 100%;
    text-align: center;
    font-size: xxx-large;
    font-weight: 600;
}
#report a{
    text-decoration: none;
    color: #071e41;
}
#report p{
    width: 100%;
    font-size: 13px;
    margin: 2px 0;
}
#report input{
    width: 100%;
    height: 40px;
    border-radius: 5px;
    border: 1px solid #2057c6;
    padding: 10px;
    font-size: 16px;
    font-weight: 600;
    margin: 5px 0;
}
#report #file{
    height: fit-content;
    max-height: 300px;
    min-height: 100px;
    width: 100%;
    position: relative;
    padding: 10px;
    font:message-box;
    border:  1px solid #2057c6;
    border-radius: 5px;
}

#file input{
    display: none;
    border: 0;
    position: absolute;
}

label span{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #2057c6;
    font-size: 40px;
    font-weight: 600;
    border-radius: 5px;
    cursor: pointer;
}
#file label{
    max-width: 40px;
    height: 40px;
    top: -10px;
    right: 0px;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #2057c6;
    border-radius: 5px;
    cursor: pointer;
    overflow: hidden;
}
#file img{
    width: auto;
    max-height: 100px;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    margin: 5px 0;
}

#report select{
    width: 100%;
    height: 40px;
    border-radius: 5px;
    border: 1px solid #2057c6;
    padding: 10px;
    font-size: 16px;
    font-weight: 600;
    margin: 5px 0;
}

#report button{
    text-decoration: none;
    text-align: center;
    background-color: #2057c6;
    color: white;
    border: none;
    height: 40px;
    width: 300px;
    margin: 10px 20px;
    padding: 10px 20px;
    font-size: 16px;
    font-weight: 600;
    border-radius: 5px;
}
#report label{
    width: 100%;
    text-align: left;
    font-size: 16px;
    font-weight: 600;
    margin: 10px 0 2px;
}
#report textarea{
    min-width: 100%;
    max-width: 100%;
    min-height: 100px;
    max-height: 200px;
    border-radius: 5px;
    font-family: relaway;
    border: 1px solid #2057c6;
    padding: 10px;
    font-size: 16px;
    font-weight: 600;
    margin: 2px 0;
}
#report button:hover{
    background-color: #071e41;
    scale: .95;
    transition: all 0.3s ease-in-out;
}
#map{
    width: 100%;
    min-height: 100svh;
    z-index: 0;
    touch-action: pan-x pan-y;
}
.leaflet-control-container{
    display:none
}
#reportar{
    height: fit-content;
    max-width: 100svw;
}

#apk{
    display:none;
    width: fit-content;
    border: 2px solid white;
    border-radius: 10px;
    padding: 10px;
}
#app{
    display:none;
    
}

@media screen and (max-width: 500px){
    footer{
        font-size: 10px;
        padding: 5px;
    }
    footer div{
        width: 100%;
        height: fit-content;
        margin: 5px 0;
    }
    #apk{
        display:flex;
    }
    #app{
        display:flex;
    }
}
@media screen and (max-width: 930px) and (min-width: 500px){
    #apk{
        display:flex;
    }
    #app{
        display:flex;
    }
    footer{
        height: fit-content;
        font-size: 14px;
    }
}
@media screen and (max-width: 930px) {
    
    #reportar{
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    #repo{
        max-width: 100svw;
        padding-top: 100px;
        padding: 100px  20px;
        padding-bottom: auto;
        border-right: none;
        border: 0;
    }
    #report{
        align-items: center;
    }
    #map{
        width: 100%;
        min-height:100svw;
        max-height: 100svw;
        margin: 0;
        background-color: #2057c6;
    }
}


/*-----------------------------------------------Ver Reportes--------------------------------------*/
#cds{
    width: 100%;
    max-width: 100svw;
    min-height: 100svh;
    height: fit-content;
    padding: 0 40px;
    display: flex;
    justify-content:flex-start;
    flex-wrap: wrap;
    gap:20px
    
}
.filtros{
    width:100%;
    padding:40px;
    gap:20px;
    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    align-items:center;
}
.filtros select{
    border:1px solid #2057c6;
    border-radius:10px;
    background-color:transparent;
    height:40px;
    width:100%;
    max-width:300px;
     margin-top:15px;
}
.filtros label{
    width:100%;
    max-width:100px;
   
}
.card{ 
    color: white;
    width: 300px;
    height: fit-content;
    background-color: #2057c6;
    box-shadow: #071e41 0px 0px 10px;
    border-radius: 5px;
    padding: 10px;
    margin: 0 auto 20px;
}

.card img{
    padding: 15px;
    width: auto;
    max-height: 100px;
    background-color: #071e41;
    border-radius: 5px;
}

.card h3{
    margin: 10px 0;
    font-size: 20px;
    font-weight: 600;
}
footer{
    background-color:rgba(4,33, 89,1);
    width:100svw;
    padding: 5px 0;
    height: fit-content;
    align-items:center;
    text-align: center;
    color: white;
    position: fixed;
    bottom: 0;
}
footer div{
    width: 100%;
    height: fit-content;
    margin: 10px 0 5px;
    display: flex;
    justify-content: center;
    align-items: center;
}
footer a {
    color:white;
    text-decoration: none;
    
}
#creative-commons{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.pgs{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 20px 0;
    position: relative;
}
#pgsa{
    margin: 120px 0 40px;
    
}
.pgs button{
    position: absolute;
    background-color: #2057c6;
    color: white;
    border: none;
    height: 40px;
    width: 100px;
    margin: 20px 10px;
    font-size: 16px;
    font-weight: 600;
    border-radius: 5px;
}
button.ant{
    left: 0;
}
button.sig{
    right: 0;
}


/*----------------------------------------------Inicio de sesion-------------------------------------*/

#login{
    width: 100%;
    height: 100svh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #071e41;
}
#Log{
    max-width: 500px;
    width: 95%;
    height: auto;
    padding: 20px;
    border: 1px solid #2057c6;
    border-radius: 10px;
    background-color: white;
}
#Log h2{
    text-align: center;
    font-size: 30px;
    font-weight: 600;
    margin-bottom: 20px;
}
#Log label ,#Log input, #Log select {
    width: 100%;
    margin: 10px 0;
    height: 40px;
    font-weight: 700;
}
#Log input, #Log select{
    border-radius: 5px;
    border: 1px solid #2057c6;
    padding: 10px;
    font-size: 16px;
    font-weight: 400;
}

#Log button{
    text-decoration: none;
    text-align: center;
    background-color: #2057c6;
    color: white;
    border: none;
    height: 40px;
    width: 100%;
    margin: 10px 0;
    padding: 10px 20px;
    font-size: 16px;
    font-weight: 600;
    border-radius: 5px;
}
#Log button:hover{
    background-color: #071e41;
    scale: .99;
    transition: all 0.3s ease-in-out;
}
#Log a{
    display: block;
    text-decoration: none;
    color: #2057c6;
    font-weight: 600;
    width: 100%;
    text-align: center;
}
#Log a:hover{
    color: #071e41;
    transition: all 0.3s ease-in-out;
}

/* Para navegadores basados en WebKit (Chrome, Safari, Edge, Opera) */
input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Para Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

.error {
    background-color: #ff4d4d;
    color: white;
    font-weight: 600;
    height: 40px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0 0;
    border-radius: 5px;
    border: #ff4d4d 3px solid;
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    max-width: 500px;
}


/*---------------------------------------------Perfil----------------------------------------------*/
#main-perfil{
    background-color: white;
    width: 100%;
    height:100svh;
    margin: 0 40px;
    padding-top: 100px;
    display: flex;
    flex-wrap: wrap;
    align-items: start;
}
#perfil{
    width: 100%;
    min-height: 100%;
    height: fit-content;
    padding: 0 40px;
    display: flex;
    justify-content:flex-start;
    flex-wrap: wrap;
    
}
.perfil-container{
    width: 100%;
    min-height: 400px;
    height: fit-content;
    background-color: #2057c6;
    box-shadow: #071e41 0px 0px 10px;
    border-radius: 10px;
    padding: 20px;
    margin: 0 auto 20px;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.perfil-info, .perfil-header{
    background-color: white;
    color: black;
    width: 100%;
    margin: 20px 0;
    padding: 20px;
    border-radius: 10px;
    height: fit-content;
    box-shadow: #071e41 0px 0px 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.perfil-container a{
    text-decoration:none;
    color: white;
    font-weight: 600;
}

.perfil-reportes{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}
.perfil-reportes h3{
    width: 100%;
    text-align: center;
    font-size: 20px;
    font-weight: 600;
    margin: 10px 0;
}

.reporte-card{
    width: 100%;
    display:flex;
    flex-wrap:wrap;
    gap:20px;
    justify-content:center;
    align-items:center;
}

.reporte-item{
    width: 300px;
    background-color: white;
    box-shadow: #071e41 0px 0px 10px;
    border-radius: 5px;
    padding: 10px;
    gap:20px;
    color: black;
}
.reporte-item img{
    max-width:100%;
    background-color:black;
    border-radius:5px;
}
.btn-eliminar-reporte{
    width: 100%;
    text-align: center;
    background-color: #ff3232;
    color: white;
    border: none;
    height: 40px;
    margin: 10px 0;
    padding: 10px 20px;
    font-size: 16px;
    font-weight: 600;
    border-radius: 5px;

}
.btn-eliminar-reporte:hover{
    box-shadow: rgba(0, 0, 0, 0.527) 0px 0px 10px;
    scale: .99;
    transition: all 0.3s ease-in-out;
}

@media screen and (max-width: 660px) {
    #main-perfil{
        margin: 0;
        width: 100%;
        padding-top: 100px;
        padding-bottom: auto;
        justify-content: center;
        height: 100%;
    }
    .perfil-info, .perfil-header{
        display: flex;
        flex-wrap: wrap;
        gap: 20px;
    }
    .perfil-info p{
        width: 100%;
        height: auto;
    }
}